## django-oauth-plus 2.2.3

=== requirements.txt ===
Django>=1.3
oauth2>=1.5.170
South>=0.7.5

## django-oauth-plus 2.1.5

=== debian/changelog ===
django-oauth-plus (2.1.5-1) unstable; urgency=low

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 30 Sep 2013 18:15:57 +0900

django-oauth-plus (2.1.4-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Add "Atle Frenvik Sveen", "Andrei Kopats".
  * debian/control: Append python-django-south to Build-Depends.
  * debian/patches: ppend_egg-info
    - Update Version in django_oauth_plus.egg-info/PKG-INFO
    - Update django_oauth_plus.egg-info/SOURCES.txt
      - Remove oauth_provider/tests/tests.py
      - Append oauth_provider/tests/protocol.py, oauth_provider/tests/tests.py
        oauth_provider/tests/xauth.py
    - Update South version in django_oauth_plus.egg-info/requires.txt

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 01 Sep 2013 23:42:43 +0900

django-oauth-plus (2.1.2-2) unstable; urgency=low

  * debian/control
    - changed "Description" of django-oauth-plus itself,
      because it is a general description of OAuth.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 30 Jul 2013 10:21:06 +0900

django-oauth-plus (2.1.2-1) unstable; urgency=low

  * Initial release (Closes: #717538)

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 22 Jul 2013 11:57:58 +0900

=== debian/control ===
Source: django-oauth-plus
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools, python-django (>= 1.3), python-oauth2 (>= 1.5.170), python-django-south (>= 0.7.5)
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://code.larlet.fr/django-oauth-plus/

Package: python-django-oauth-plus
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.3), python-oauth2 (>= 1.5.170), python-django-south (>= 0.7.5)
Description: Support of OAuth 1.0a in Django using python-oauth2
 Support of OAuth 1.0a in Django using python-oauth2. This app will be
 compatible with OAuth 1.0a and Django 1.2, but will not be fully backward
 compatible with django-oauth.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	set -e ; \
	python $(CURDIR)/oauth_provider/runtests/runtests.py

## django-oauth-plus 2.2.3

=== debian/changelog ===
django-oauth-plus (2.2.3-1) unstable; urgency=medium

  * New upstream release
  * Fixed FTBFS with django 1.6 (Closes: #729827)
    - debian/rules:
      * Append PYTHONPATH=$(CURDIR)/oauth_provider at
        override_dh_auto_test section.
  * debian/control:
    - Standards-Version: Update 3.9.4 to 3.9.5.
    - Build-Depends: Append quilt.
  * debian/copyright: Add "Alex Irpan", "Changhwan Song".
  * debian/rules:
    - Append quilt option to dh command at "%" section.
  * debian/patches:
    - append_egg-info:
      * Append DEP3 headers
      * Update timestamp, and update PKG-INFO and SOURCES.txt.
    - add_setuptools_hg: Append DEP3 headers, and update timestamp.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 15 Jan 2014 06:54:21 +0900

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools, python-django (>= 1.3), python-oauth2 (>= 1.5.170), python-django-south (>= 0.7.5)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools, python-django (>= 1.3), python-oauth2 (>= 1.5.170), python-django-south (>= 0.7.5), quilt
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://code.larlet.fr/django-oauth-plus/

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,9 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2,quilt
 
 override_dh_auto_test:
 	set -e ; \
+	PYTHONPATH=$(CURDIR)/oauth_provider \
 	python $(CURDIR)/oauth_provider/runtests/runtests.py

=== debian/watch ===
version=3
http://code.larlet.fr/django-oauth-plus/downloads .*/(\d[\d.]+)\.tar\.gz

## django-oauth-plus 2.2.4

=== debian/changelog ===
django-oauth-plus (2.2.4-2) unstable; urgency=medium

  * debian/control:
    - Priority changed to extra.
    - This package has a Depends on python-oauth2 (>= 1.5.170) which is extra.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 15 Apr 2014 16:50:41 +0900

django-oauth-plus (2.2.4-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Append "flyingeek".

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 07 Mar 2014 07:17:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: django-oauth-plus
 Section: python
-Priority: optional
+Priority: extra
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
 Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools, python-django (>= 1.3), python-oauth2 (>= 1.5.170), python-django-south (>= 0.7.5), quilt
 Standards-Version: 3.9.5
